@font-face {
  font-family: 'Cairo';
  src: url('../assets/fonts/Cairo.woff2') format('woff2');
  font-display: swap;
}

:root {
  --primary-color: #3E5B20;
  --secondary-color: #B4AC79;
  --body-color: #f5f7fa;
  --card-color:#FFF;
  --font-color: #1e1e1e;
  --grey-1 : #333;
  --grey-2 : #777;
  --main-font: 'Cairo', sans-serif;
  --radius: 12px;
  --shadow: 0 4px 10px rgba(0,0,0,0.05);
}

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body {
    font-family: var(--main-font);
    background: var(--body-color);
    color: var(--grey-1);
    line-height: 1.8;
}

.container {
    max-width: 900px;
    margin: auto;
    padding: 20px;
}

.header {
    text-align: center;
    margin-bottom: 20px;
    color:var(--font-color);
}

.header h1 {
    color: var(--primary-color);
}

.header p {
      text-align: justify;
}

.update-date {
  font-size: 14px;
  color: var(--grey-2);
  margin-top: 10px;
  margin-bottom: 5px;
}

.card {
    background: var(--card-color);
    color: var(--font-color);
    padding: 20px;
    border-radius: var(--radius);
    margin-bottom: 15px;
    box-shadow: var(--shadow);
    transition: 0.3s;
}

.card:hover {
    transform: translateY(-2px);
}

h2 {
    color: var(--primary-color);
    font-size: 18px;
    margin-bottom: 10px;
}

ul {
    padding-inline-start: 20px;
}

.footer {
    text-align: center;
    margin-top: 40px;
    padding: 20px 20px 0px 20px;
    font-size: 14px;
    color: var(--grey-2);
}




/* DARK MODE */
.dark {
  --primary-color: #62784d;
  --secondary-color: #B4AC79;
  --body-color: #1e1e1e;
  --card-color:#252525;
  --font-color: #fff;
  --light-bg: #f4f6f8;
  --grey-1 : #aaa;
  --grey-2 : #aaa;
  --main-font: 'Cairo', sans-serif;
  --radius: 12px;
  --shadow: 0 4px 10px rgba(0,0,0,0.2);
}


.header {
    text-align: center;
}

.header-row {
    display: grid;
    grid-template-columns: auto 1fr auto;
    align-items: center;
    width: 100%;
    gap: 2px;
}

.header-row h1 {
    text-align: center;
    margin: 0;
}

.spacer{
    flex: 1;
}

.back-btn {
    
    justify-self: end;
    flex-shrink: 0;
    top: 5px;
    justify-content: center;
    align-items: center;
    background: var(--primary-color);
    color: #fff;
    border: none;
    padding: 10px 16px;
    border-radius: 8px;
    cursor: pointer;
    font-size: 20px;
}

.back-btn:hover {
    opacity: 0.9;
}
